SCM Creator (+Github) - Feature #1858

New Wiki/Textile macro
26 Sep 2011 07:31 - Andriy Lesyuk

Status: Open Start date: 26 Sep 2011
Priority: Normal Due date:

Assignee: Andriy Lesyuk % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

External issue:

Description

There was an idea to put SCM access command on “Overview” page... But this should be configurable sure about the right way). So
instead | suggest adding a Wiki macro e.g. {SCM}. This macro should produce:

svn checkout http://subversion.andriylesyuk.com/redmine-svn
Note: This line is too long for “Overview” page but I'm not sure how to fix this. The macro instead can be placed on Wiki page.

See also: #1848

Related issues:
Related to Projects - Improvement #1848: New Wiki macros Closed 14 Sep 2011 03 Dec 2011

History

#1 - 05 Nov 2011 19:38 - Andriy Lesyuk

- Target version set to 0.4.0

#2 - 05 Nov 2011 19:39 - Andriy Lesyuk
May be only URL should be generated, e.g.

<pre>svn checkout {SCM} local_dir</pre>

#3 - 12 Feb 2012 16:18 - Andriy Lesyuk

| think macro will be:

e {{scm_checkout}} = svn co http://.../redmine-scm redmine-scm
¢ {{scm_checkout(scm_creator)}} = svn co http://.../redmine-scm scm_creator

#4 - 22 May 2012 05:50 - Andriy Lesyuk
- Target version deleted (0.4.0)
